import greenfoot.*;

/**
 * Write a description of class Space here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Space extends World
{
    private GreenfootSound backgroundMusic = new GreenfootSound("imperial.wav");
    /**
     * Constructor for objects of class Space.
     * 
     */
    public Space()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 

        prepare();
    }
    
    private Counter scoreBoard;
    
    public Counter getCounter()
    {
        return scoreBoard;
    }
    
    public void started()
    {
        backgroundMusic.playLoop();
    }
        
    public void stopped()
    {
        backgroundMusic.pause();
    }
    
    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Player player = new Player();
        addObject(player, 226, 346);
        
        scoreBoard = new Counter();
        addObject(scoreBoard,86,366);
    }
    public void act() 
    {
     //spawn enemies 
        if (Greenfoot.getRandomNumber(1000) < 15)
        {
            addObject(new Enemy(), 15, Greenfoot.getRandomNumber(200) + 30);
    
        }
    
        int currentScore = scoreBoard.getScore();
        if (Greenfoot.getRandomNumber(1000) < 10 && currentScore > 10 )
        {
            Actor enemy2 = new Enemy2();
            addObject(enemy2, 15, Greenfoot.getRandomNumber(180) + 35);

        }
    }
}





